Page MenuHomePhabricator

setup dewiki and wikidatawiki on the labsdb1009, 1010 and 1011
Closed, ResolvedPublic

Description

Run sudo /usr/local/sbin/maintain-views --databases dewiki and sudo /usr/local/sbin/maintain-views --databases wikidatawiki on the new labsdb cluster.

Event Timeline

bd808 created this task.Jun 15 2017, 10:18 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptJun 15 2017, 10:19 PM
bd808@labsdb1009:~$ sudo /usr/local/sbin/maintain-views --databases dewiki
Traceback (most recent call last):
  File "/usr/local/sbin/maintain-views", line 442, in <module>
    ops.execute(fullviews, customviews)
  File "/usr/local/sbin/maintain-views", line 267, in execute
    "CREATE DATABASE `{}`;".format(self.db_p)
  File "/usr/local/sbin/maintain-views", line 53, in write_execute
    self.cursor.execute(query)
  File "/usr/lib/python3/dist-packages/pymysql/cursors.py", line 167, in execute    result = self._query(query)
  File "/usr/lib/python3/dist-packages/pymysql/cursors.py", line 323, in _query
    conn.query(q)
  File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 836, in query
    self._affected_rows = self._read_query_result(unbuffered=unbuffered)
  File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 1020, in _read_query_result
    result.read()
  File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 1303, in read
    first_packet = self.connection._read_packet()
  File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 982, in _read_packet
    packet.check_error()
  File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 394, in check_error
    err.raise_mysql_exception(self._data)
  File "/usr/lib/python3/dist-packages/pymysql/err.py", line 120, in raise_mysql_exception
    _check_mysql_exception(errinfo)
  File "/usr/lib/python3/dist-packages/pymysql/err.py", line 112, in _check_mysql_exception
    raise errorclass(errno, errorvalue)
pymysql.err.OperationalError: (1044, "Access denied for user 'maintainviews'@'localhost' to database 'dewiki_p'")

Same on all 3 hosts for both dbs (modulo the database name).

bd808 updated the task description. (Show Details)Jun 15 2017, 10:28 PM
bd808 added a subscriber: Marostegui.

@Marostegui can you do the magic needed to fix the "Access denied for user 'maintainviews'@'localhost' to database 'dewiki_p'" and "Access denied for user 'maintainviews'@'localhost' to database 'wikidatawiki_p'" errors on labsdb10(09|10|11)?

I have run on labsdb1009:

GRANT SELECT, SHOW VIEW ON `dewiki\_p`.* to labsdbuser;
GRANT SELECT, SHOW VIEW ON `wikidatawiki\_p`.* to labsdbuser;

So we have a problem with the script-- the script has enough privileges to create the database, but only after the database has been created, because otherwise it does not match the wildcard and thinks it doesn't have privileges. Not sure how to fix the loop.

Not sure how to fix the loop.

It looks like the script expects to create the DB as CREATE DATABASE $dbname. So I guess the two options would be to have that step done manually using some other credentials or to grant the maintainviews user global create privileges.

bd808 reassigned this task from bd808 to jcrespo.Jun 15 2017, 11:14 PM

@jcrespo and I debugged this a bit on irc and found that a grant for wikidatawiki% worked to allow the script to create the db, but that a grant for %\_p does not. The current conjecture is that this is an upstream bug in MariaDB. He's going to think about possible workarounds and we will try them out as part of this task.

jcrespo added a comment.EditedJun 15 2017, 11:22 PM

I used %wik%\_p but %\_p doesn't work either. It is the start of the wildcard what doesn't work.

Marostegui moved this task from Triage to In progress on the DBA board.Jun 16 2017, 8:44 AM
bd808 moved this task from Triage to Database on the Cloud-Services board.Jun 17 2017, 7:58 PM
Marostegui added a comment.EditedJun 19 2017, 1:06 PM

@jcrespo @bd808 I have tried to run: sudo /usr/local/sbin/maintain-views --databases dewiki on labsdb1009, 1010 and 1011 and it worked like a charm :|. I ran it in order to get the error and start to troubleshoot after my discussion earlier today with Jaime. But it worked straightaway.
Same with wikidatawiki:

mysql:root@localhost [dewiki_p]> use wikidatawiki_p
ERROR 1049 (42000): Unknown database 'wikidatawiki_p'
mysql:root@localhost [dewiki_p]> Ctrl-C -- exit!
Aborted
root@labsdb1011:~# sudo /usr/local/sbin/maintain-views --databases wikidatawiki
2017-06-19 13:02:52,112 INFO Full views for wikidatawiki:
2017-06-19 13:02:52,114 INFO [abuse_filter_action]
2017-06-19 13:02:52,147 INFO [category]
2017-06-19 13:02:52,150 INFO [categorylinks]
2017-06-19 13:02:52,153 INFO [change_tag]
2017-06-19 13:02:52,172 INFO [externallinks]
2017-06-19 13:02:52,194 INFO [geo_tags]
2017-06-19 13:02:52,200 INFO [global_block_whitelist]
2017-06-19 13:02:52,210 INFO [image]
2017-06-19 13:02:52,218 INFO [imagelinks]
2017-06-19 13:02:52,223 INFO [interwiki]
2017-06-19 13:02:52,226 INFO [iwlinks]
2017-06-19 13:02:52,229 INFO [l10n_cache]
2017-06-19 13:02:52,237 INFO [langlinks]
2017-06-19 13:02:52,241 INFO [linter]
2017-06-19 13:02:52,248 INFO [math]
2017-06-19 13:02:52,256 INFO [module_deps]
2017-06-19 13:02:52,260 INFO [msg_resource_links]
2017-06-19 13:02:52,268 INFO [ores_classification]
2017-06-19 13:02:52,271 INFO [ores_model]
2017-06-19 13:02:52,277 INFO [page]
2017-06-19 13:02:52,282 INFO [pagelinks]
2017-06-19 13:02:52,288 INFO [page_props]
2017-06-19 13:02:52,290 INFO [page_restrictions]
2017-06-19 13:02:52,305 INFO [protected_titles]
2017-06-19 13:02:52,313 INFO [redirect]
2017-06-19 13:02:52,318 INFO [site_identifiers]
2017-06-19 13:02:52,322 INFO [sites]
2017-06-19 13:02:52,329 INFO [site_stats]
2017-06-19 13:02:52,332 INFO [tag_summary]
2017-06-19 13:02:52,336 INFO [templatelinks]
2017-06-19 13:02:52,340 INFO [transcode]
2017-06-19 13:02:52,349 INFO [updatelog]
2017-06-19 13:02:52,355 INFO [user_former_groups]
2017-06-19 13:02:52,363 INFO [user_groups]
2017-06-19 13:02:52,371 INFO [valid_tag]
2017-06-19 13:02:52,386 INFO [globalblocks]
2017-06-19 13:02:52,393 INFO [wb_changes]
2017-06-19 13:02:52,396 INFO [wb_changes_dispatch]
2017-06-19 13:02:52,400 INFO [wb_changes_subscription]
2017-06-19 13:02:52,403 INFO [wb_entity_per_page]
2017-06-19 13:02:52,407 INFO [wb_id_counters]
2017-06-19 13:02:52,410 INFO [wb_items_per_site]
2017-06-19 13:02:52,414 INFO [wb_property_info]
2017-06-19 13:02:52,417 INFO [wb_terms]
2017-06-19 13:02:52,421 INFO [wbc_entity_usage]
2017-06-19 13:02:52,424 INFO [wbs_propertypairs]
2017-06-19 13:02:52,432 INFO Custom views for wikidatawiki:
2017-06-19 13:02:52,437 INFO [revision]
2017-06-19 13:02:52,443 INFO [filearchive_userindex]
2017-06-19 13:02:52,452 INFO [oldimage]
2017-06-19 13:02:52,462 INFO [logging]
2017-06-19 13:02:52,467 INFO [oldimage_userindex]
2017-06-19 13:02:52,471 INFO [user]
2017-06-19 13:02:52,475 INFO [abuse_filter_log]
2017-06-19 13:02:52,478 INFO [ipblocks_ipindex]
2017-06-19 13:02:52,485 INFO [ipblocks]
2017-06-19 13:02:52,489 INFO [revision_userindex]
2017-06-19 13:02:52,493 INFO [user_properties]
2017-06-19 13:02:52,497 INFO [archive_userindex]
2017-06-19 13:02:52,501 INFO [logging_logindex]
2017-06-19 13:02:52,504 INFO [recentchanges_userindex]
2017-06-19 13:02:52,510 INFO [user_properties_anon]
2017-06-19 13:02:52,515 INFO [logging_userindex]
2017-06-19 13:02:52,520 INFO [recentchanges]
2017-06-19 13:02:52,524 INFO [filearchive]
2017-06-19 13:02:52,528 INFO [archive]
2017-06-19 13:02:52,532 INFO [abuse_filter]
root@labsdb1011:~# mysql --skip-ssl wikidatawiki_p -e "show tables;"
+--------------------------+
| Tables_in_wikidatawiki_p |
+--------------------------+
| abuse_filter             |
| abuse_filter_action      |
| abuse_filter_log         |
| archive                  |
| archive_userindex        |
| category                 |
| categorylinks            |
| change_tag               |
| externallinks            |
| filearchive              |
| filearchive_userindex    |
| geo_tags                 |
| global_block_whitelist   |
| globalblocks             |
| image                    |
| imagelinks               |
| interwiki                |
| ipblocks                 |
| ipblocks_ipindex         |
| iwlinks                  |
| l10n_cache               |
| langlinks                |
| linter                   |
| logging                  |
| logging_logindex         |
| logging_userindex        |
| math                     |
| module_deps              |
| msg_resource_links       |
| oldimage                 |
| oldimage_userindex       |
| ores_classification      |
| ores_model               |
| page                     |
| page_props               |
| page_restrictions        |
| pagelinks                |
| protected_titles         |
| recentchanges            |
| recentchanges_userindex  |
| redirect                 |
| revision                 |
| revision_userindex       |
| site_identifiers         |
| site_stats               |
| sites                    |
| tag_summary              |
| templatelinks            |
| transcode                |
| updatelog                |
| user                     |
| user_former_groups       |
| user_groups              |
| user_properties          |
| user_properties_anon     |
| valid_tag                |
| wb_changes               |
| wb_changes_dispatch      |
| wb_changes_subscription  |
| wb_entity_per_page       |
| wb_id_counters           |
| wb_items_per_site        |
| wb_property_info         |
| wb_terms                 |
| wbc_entity_usage         |
| wbs_propertypairs        |
+--------------------------+

Same on labsdb1010:

sroot@labsdb1010:~# mysql --skip-ssl -e "show tables" wikidatawiki_p -BN
ERROR 1049 (42000): Unknown database 'wikidatawiki_p'
root@labsdb1010:~# sudo /usr/local/sbin/maintain-views --databases wikidatawiki
2017-06-19 13:04:00,690 INFO Full views for wikidatawiki:
2017-06-19 13:04:00,692 INFO [abuse_filter_action]
2017-06-19 13:04:00,731 INFO [category]
2017-06-19 13:04:00,735 INFO [categorylinks]
2017-06-19 13:04:00,738 INFO [change_tag]
2017-06-19 13:04:00,756 INFO [externallinks]
2017-06-19 13:04:00,774 INFO [geo_tags]
2017-06-19 13:04:00,779 INFO [global_block_whitelist]
2017-06-19 13:04:00,784 INFO [image]
2017-06-19 13:04:00,793 INFO [imagelinks]
2017-06-19 13:04:00,797 INFO [interwiki]
2017-06-19 13:04:00,804 INFO [iwlinks]
2017-06-19 13:04:00,807 INFO [l10n_cache]
2017-06-19 13:04:00,814 INFO [langlinks]
2017-06-19 13:04:00,819 INFO [linter]
2017-06-19 13:04:00,832 INFO [math]
2017-06-19 13:04:00,835 INFO [module_deps]
2017-06-19 13:04:00,839 INFO [msg_resource_links]
2017-06-19 13:04:00,848 INFO [ores_classification]
2017-06-19 13:04:00,852 INFO [ores_model]
2017-06-19 13:04:00,858 INFO [page]
2017-06-19 13:04:00,862 INFO [pagelinks]
2017-06-19 13:04:00,868 INFO [page_props]
2017-06-19 13:04:00,871 INFO [page_restrictions]
2017-06-19 13:04:00,884 INFO [protected_titles]
2017-06-19 13:04:00,892 INFO [redirect]
2017-06-19 13:04:00,898 INFO [site_identifiers]
2017-06-19 13:04:00,905 INFO [sites]
2017-06-19 13:04:00,912 INFO [site_stats]
2017-06-19 13:04:00,916 INFO [tag_summary]
2017-06-19 13:04:00,919 INFO [templatelinks]
2017-06-19 13:04:00,923 INFO [transcode]
2017-06-19 13:04:00,930 INFO [updatelog]
2017-06-19 13:04:00,936 INFO [user_former_groups]
2017-06-19 13:04:00,943 INFO [user_groups]
2017-06-19 13:04:00,952 INFO [valid_tag]
2017-06-19 13:04:00,968 INFO [globalblocks]
2017-06-19 13:04:00,979 INFO [wb_changes]
2017-06-19 13:04:00,983 INFO [wb_changes_dispatch]
2017-06-19 13:04:00,985 INFO [wb_changes_subscription]
2017-06-19 13:04:00,988 INFO [wb_entity_per_page]
2017-06-19 13:04:00,995 INFO [wb_id_counters]
2017-06-19 13:04:00,998 INFO [wb_items_per_site]
2017-06-19 13:04:01,001 INFO [wb_property_info]
2017-06-19 13:04:01,004 INFO [wb_terms]
2017-06-19 13:04:01,008 INFO [wbc_entity_usage]
2017-06-19 13:04:01,010 INFO [wbs_propertypairs]
2017-06-19 13:04:01,020 INFO Custom views for wikidatawiki:
2017-06-19 13:04:01,022 INFO [recentchanges]
2017-06-19 13:04:01,026 INFO [user_properties_anon]
2017-06-19 13:04:01,031 INFO [abuse_filter_log]
2017-06-19 13:04:01,035 INFO [archive_userindex]
2017-06-19 13:04:01,040 INFO [oldimage]
2017-06-19 13:04:01,048 INFO [oldimage_userindex]
2017-06-19 13:04:01,051 INFO [filearchive_userindex]
2017-06-19 13:04:01,059 INFO [logging_userindex]
2017-06-19 13:04:01,063 INFO [filearchive]
2017-06-19 13:04:01,067 INFO [logging]
2017-06-19 13:04:01,072 INFO [recentchanges_userindex]
2017-06-19 13:04:01,077 INFO [archive]
2017-06-19 13:04:01,081 INFO [user_properties]
2017-06-19 13:04:01,085 INFO [user]
2017-06-19 13:04:01,090 INFO [ipblocks_ipindex]
2017-06-19 13:04:01,094 INFO [revision_userindex]
2017-06-19 13:04:01,098 INFO [ipblocks]
2017-06-19 13:04:01,102 INFO [abuse_filter]
2017-06-19 13:04:01,106 INFO [revision]
2017-06-19 13:04:01,110 INFO [logging_logindex]
root@labsdb1010:~# mysql --skip-ssl -e "show tables" wikidatawiki_p -BN
abuse_filter
abuse_filter_action
abuse_filter_log
archive
archive_userindex
category
categorylinks
change_tag
externallinks
filearchive
filearchive_userindex
geo_tags
global_block_whitelist
globalblocks
image
imagelinks
interwiki
ipblocks
ipblocks_ipindex
iwlinks
l10n_cache
langlinks
linter
logging
logging_logindex
logging_userindex
math
module_deps
msg_resource_links
oldimage
oldimage_userindex
ores_classification
ores_model
page
page_props
page_restrictions
pagelinks
protected_titles
recentchanges
recentchanges_userindex
redirect
revision
revision_userindex
site_identifiers
site_stats
sites
tag_summary
templatelinks
transcode
updatelog
user
user_former_groups
user_groups
user_properties
user_properties_anon
valid_tag
wb_changes
wb_changes_dispatch
wb_changes_subscription
wb_entity_per_page
wb_id_counters
wb_items_per_site
wb_property_info
wb_terms
wbc_entity_usage
wbs_propertypairs

So the views for dewiki and wikidatawiki are now in place on the new labs infra. I am puzzled anyways. Some sort of mysql user cache interfering with the user grants?
No worries, hopefully, soon enough we will have s2 to do tests again with.

I would say, feel free to close this task as its scope is done (create the views) and we can debug again with the next shard...

jcrespo reassigned this task from jcrespo to Marostegui.Jun 19 2017, 1:17 PM

Assigned to to for now, ping it back when done.

Marostegui closed this task as Resolved.Jun 19 2017, 1:18 PM

Hi @Marostegui
I can't connect to dewiki_p nor wikidatawiki_p on labsdb-analytics.
Should this task be reopened?

What errors are you getting?

I have recreated the views, can you try again? if you can show the error you are getting, that would be helpful.
Also, can you connect to enwiki_p normally?

JAllemandou added a comment.EditedJun 20 2017, 4:25 PM

I use a script checking available views from information_schema.
For the moment it still tells me dewiki and wikidatawiki are not present (along with ~35 other DBs, while enwiki_p for instance is present) :(

I don't know what that script does but:

mysql:root@localhost [information_schema]> select @@hostname;
+------------+
| @@hostname |
+------------+
| labsdb1009 |
+------------+
1 row in set (0.00 sec)

mysql:root@localhost [information_schema]> SELECT TABLE_SCHEMA,TABLE_NAME FROM INFORMATION_SCHEMA.VIEWS where TABLE_SCHEMA="dewiki_p" or TABLE_SCHEMA="wikidatawiki_p";
+----------------+-------------------------+
| TABLE_SCHEMA   | TABLE_NAME              |
+----------------+-------------------------+
| dewiki_p       | abuse_filter            |
| dewiki_p       | abuse_filter_action     |
| dewiki_p       | abuse_filter_log        |
| dewiki_p       | archive                 |
| dewiki_p       | archive_userindex       |
| dewiki_p       | category                |
| dewiki_p       | categorylinks           |
| dewiki_p       | change_tag              |
| dewiki_p       | externallinks           |
| dewiki_p       | flaggedimages           |
| dewiki_p       | flaggedpage_config      |
| dewiki_p       | flaggedpage_pending     |
| dewiki_p       | filearchive             |
| dewiki_p       | filearchive_userindex   |
| dewiki_p       | flaggedpages            |
| dewiki_p       | flaggedrevs             |
| dewiki_p       | flaggedrevs_promote     |
| dewiki_p       | flaggedrevs_statistics  |
| dewiki_p       | flaggedrevs_stats       |
| dewiki_p       | flaggedrevs_stats2      |
| dewiki_p       | flaggedrevs_tracking    |
| dewiki_p       | flaggedtemplates        |
| dewiki_p       | geo_tags                |
| dewiki_p       | global_block_whitelist  |
| dewiki_p       | image                   |
| dewiki_p       | imagelinks              |
| dewiki_p       | interwiki               |
| dewiki_p       | ipblocks                |
| dewiki_p       | ipblocks_ipindex        |
| dewiki_p       | iwlinks                 |
| dewiki_p       | l10n_cache              |
| dewiki_p       | langlinks               |
| dewiki_p       | linter                  |
| dewiki_p       | localisation            |
| dewiki_p       | localisation_file_hash  |
| dewiki_p       | math                    |
| dewiki_p       | module_deps             |
| dewiki_p       | msg_resource_links      |
| dewiki_p       | page_props              |
| dewiki_p       | logging                 |
| dewiki_p       | logging_logindex        |
| dewiki_p       | logging_userindex       |
| dewiki_p       | oldimage                |
| dewiki_p       | page_restrictions       |
| dewiki_p       | pagelinks               |
| dewiki_p       | pif_edits               |
| dewiki_p       | povwatch_log            |
| dewiki_p       | povwatch_subscribers    |
| dewiki_p       | protected_titles        |
| dewiki_p       | oldimage_userindex      |
| dewiki_p       | page                    |
| dewiki_p       | recentchanges           |
| dewiki_p       | recentchanges_userindex |
| dewiki_p       | redirect                |
| dewiki_p       | site_identifiers        |
| dewiki_p       | site_stats              |
| dewiki_p       | sites                   |
| dewiki_p       | tag_summary             |
| dewiki_p       | templatelinks           |
| dewiki_p       | revision                |
| dewiki_p       | revision_userindex      |
| dewiki_p       | transcode               |
| dewiki_p       | updatelog               |
| dewiki_p       | user                    |
| dewiki_p       | user_former_groups      |
| dewiki_p       | user_groups             |
| dewiki_p       | user_properties         |
| dewiki_p       | user_properties_anon    |
| dewiki_p       | valid_tag               |
| dewiki_p       | wbc_entity_usage        |
| wikidatawiki_p | abuse_filter_action     |
| wikidatawiki_p | category                |
| wikidatawiki_p | categorylinks           |
| wikidatawiki_p | change_tag              |
| wikidatawiki_p | abuse_filter            |
| wikidatawiki_p | abuse_filter_log        |
| wikidatawiki_p | archive                 |
| wikidatawiki_p | archive_userindex       |
| wikidatawiki_p | externallinks           |
| wikidatawiki_p | geo_tags                |
| wikidatawiki_p | global_block_whitelist  |
| wikidatawiki_p | globalblocks            |
| wikidatawiki_p | imagelinks              |
| wikidatawiki_p | filearchive             |
| wikidatawiki_p | filearchive_userindex   |
| wikidatawiki_p | image                   |
| wikidatawiki_p | interwiki               |
| wikidatawiki_p | iwlinks                 |
| wikidatawiki_p | l10n_cache              |
| wikidatawiki_p | langlinks               |
| wikidatawiki_p | linter                  |
| wikidatawiki_p | math                    |
| wikidatawiki_p | module_deps             |
| wikidatawiki_p | ipblocks                |
| wikidatawiki_p | ipblocks_ipindex        |
| wikidatawiki_p | logging                 |
| wikidatawiki_p | logging_logindex        |
| wikidatawiki_p | msg_resource_links      |
| wikidatawiki_p | ores_classification     |
| wikidatawiki_p | ores_model              |
| wikidatawiki_p | page_props              |
| wikidatawiki_p | logging_userindex       |
| wikidatawiki_p | oldimage                |
| wikidatawiki_p | oldimage_userindex      |
| wikidatawiki_p | page                    |
| wikidatawiki_p | page_restrictions       |
| wikidatawiki_p | pagelinks               |
| wikidatawiki_p | protected_titles        |
| wikidatawiki_p | redirect                |
| wikidatawiki_p | site_identifiers        |
| wikidatawiki_p | site_stats              |
| wikidatawiki_p | recentchanges           |
| wikidatawiki_p | recentchanges_userindex |
| wikidatawiki_p | revision                |
| wikidatawiki_p | revision_userindex      |
| wikidatawiki_p | sites                   |
| wikidatawiki_p | tag_summary             |
| wikidatawiki_p | templatelinks           |
| wikidatawiki_p | transcode               |
| wikidatawiki_p | updatelog               |
| wikidatawiki_p | user                    |
| wikidatawiki_p | user_former_groups      |
| wikidatawiki_p | user_groups             |
| wikidatawiki_p | user_properties         |
| wikidatawiki_p | user_properties_anon    |
| wikidatawiki_p | valid_tag               |
| wikidatawiki_p | wb_changes              |
| wikidatawiki_p | wb_changes_dispatch     |
| wikidatawiki_p | wb_changes_subscription |
| wikidatawiki_p | wb_entity_per_page      |
| wikidatawiki_p | wb_id_counters          |
| wikidatawiki_p | wb_items_per_site       |
| wikidatawiki_p | wb_property_info        |
| wikidatawiki_p | wb_terms                |
| wikidatawiki_p | wbc_entity_usage        |
| wikidatawiki_p | wbs_propertypairs       |
+----------------+-------------------------+
136 rows in set (0.15 sec)
mysql:root@localhost [information_schema]> select @@hostname;
+------------+
| @@hostname |
+------------+
| labsdb1010 |
+------------+
1 row in set (0.00 sec)

mysql:root@localhost [information_schema]> SELECT TABLE_SCHEMA,TABLE_NAME FROM INFORMATION_SCHEMA.VIEWS where TABLE_SCHEMA="dewiki_p" or TABLE_SCHEMA="wikidatawiki_p";
+----------------+-------------------------+
| TABLE_SCHEMA   | TABLE_NAME              |
+----------------+-------------------------+
| dewiki_p       | abuse_filter            |
| dewiki_p       | abuse_filter_action     |
| dewiki_p       | abuse_filter_log        |
| dewiki_p       | archive                 |
| dewiki_p       | archive_userindex       |
| dewiki_p       | category                |
| dewiki_p       | categorylinks           |
| dewiki_p       | change_tag              |
| dewiki_p       | externallinks           |
| dewiki_p       | flaggedimages           |
| dewiki_p       | flaggedpage_config      |
| dewiki_p       | flaggedpage_pending     |
| dewiki_p       | filearchive             |
| dewiki_p       | filearchive_userindex   |
| dewiki_p       | flaggedpages            |
| dewiki_p       | flaggedrevs             |
| dewiki_p       | flaggedrevs_promote     |
| dewiki_p       | flaggedrevs_statistics  |
| dewiki_p       | flaggedrevs_stats       |
| dewiki_p       | flaggedrevs_stats2      |
| dewiki_p       | flaggedrevs_tracking    |
| dewiki_p       | flaggedtemplates        |
| dewiki_p       | geo_tags                |
| dewiki_p       | global_block_whitelist  |
| dewiki_p       | image                   |
| dewiki_p       | imagelinks              |
| dewiki_p       | interwiki               |
| dewiki_p       | ipblocks                |
| dewiki_p       | ipblocks_ipindex        |
| dewiki_p       | iwlinks                 |
| dewiki_p       | l10n_cache              |
| dewiki_p       | langlinks               |
| dewiki_p       | linter                  |
| dewiki_p       | localisation            |
| dewiki_p       | localisation_file_hash  |
| dewiki_p       | math                    |
| dewiki_p       | module_deps             |
| dewiki_p       | msg_resource_links      |
| dewiki_p       | page_props              |
| dewiki_p       | logging                 |
| dewiki_p       | logging_logindex        |
| dewiki_p       | logging_userindex       |
| dewiki_p       | oldimage                |
| dewiki_p       | page_restrictions       |
| dewiki_p       | pagelinks               |
| dewiki_p       | pif_edits               |
| dewiki_p       | povwatch_log            |
| dewiki_p       | povwatch_subscribers    |
| dewiki_p       | protected_titles        |
| dewiki_p       | oldimage_userindex      |
| dewiki_p       | page                    |
| dewiki_p       | recentchanges           |
| dewiki_p       | recentchanges_userindex |
| dewiki_p       | redirect                |
| dewiki_p       | site_identifiers        |
| dewiki_p       | site_stats              |
| dewiki_p       | sites                   |
| dewiki_p       | tag_summary             |
| dewiki_p       | templatelinks           |
| dewiki_p       | revision                |
| dewiki_p       | revision_userindex      |
| dewiki_p       | transcode               |
| dewiki_p       | updatelog               |
| dewiki_p       | user                    |
| dewiki_p       | user_former_groups      |
| dewiki_p       | user_groups             |
| dewiki_p       | user_properties         |
| dewiki_p       | user_properties_anon    |
| dewiki_p       | valid_tag               |
| dewiki_p       | wbc_entity_usage        |
| wikidatawiki_p | abuse_filter_action     |
| wikidatawiki_p | category                |
| wikidatawiki_p | categorylinks           |
| wikidatawiki_p | change_tag              |
| wikidatawiki_p | abuse_filter            |
| wikidatawiki_p | abuse_filter_log        |
| wikidatawiki_p | archive                 |
| wikidatawiki_p | archive_userindex       |
| wikidatawiki_p | externallinks           |
| wikidatawiki_p | geo_tags                |
| wikidatawiki_p | global_block_whitelist  |
| wikidatawiki_p | globalblocks            |
| wikidatawiki_p | imagelinks              |
| wikidatawiki_p | filearchive             |
| wikidatawiki_p | filearchive_userindex   |
| wikidatawiki_p | image                   |
| wikidatawiki_p | interwiki               |
| wikidatawiki_p | iwlinks                 |
| wikidatawiki_p | l10n_cache              |
| wikidatawiki_p | langlinks               |
| wikidatawiki_p | linter                  |
| wikidatawiki_p | math                    |
| wikidatawiki_p | module_deps             |
| wikidatawiki_p | ipblocks                |
| wikidatawiki_p | ipblocks_ipindex        |
| wikidatawiki_p | logging                 |
| wikidatawiki_p | logging_logindex        |
| wikidatawiki_p | msg_resource_links      |
| wikidatawiki_p | ores_classification     |
| wikidatawiki_p | ores_model              |
| wikidatawiki_p | page_props              |
| wikidatawiki_p | logging_userindex       |
| wikidatawiki_p | oldimage                |
| wikidatawiki_p | oldimage_userindex      |
| wikidatawiki_p | page                    |
| wikidatawiki_p | page_restrictions       |
| wikidatawiki_p | pagelinks               |
| wikidatawiki_p | protected_titles        |
| wikidatawiki_p | redirect                |
| wikidatawiki_p | site_identifiers        |
| wikidatawiki_p | site_stats              |
| wikidatawiki_p | recentchanges           |
| wikidatawiki_p | recentchanges_userindex |
| wikidatawiki_p | revision                |
| wikidatawiki_p | revision_userindex      |
| wikidatawiki_p | sites                   |
| wikidatawiki_p | tag_summary             |
| wikidatawiki_p | templatelinks           |
| wikidatawiki_p | transcode               |
| wikidatawiki_p | updatelog               |
| wikidatawiki_p | user                    |
| wikidatawiki_p | user_former_groups      |
| wikidatawiki_p | user_groups             |
| wikidatawiki_p | user_properties         |
| wikidatawiki_p | user_properties_anon    |
| wikidatawiki_p | valid_tag               |
| wikidatawiki_p | wb_changes              |
| wikidatawiki_p | wb_changes_dispatch     |
| wikidatawiki_p | wb_changes_subscription |
| wikidatawiki_p | wb_entity_per_page      |
| wikidatawiki_p | wb_id_counters          |
| wikidatawiki_p | wb_items_per_site       |
| wikidatawiki_p | wb_property_info        |
| wikidatawiki_p | wb_terms                |
| wikidatawiki_p | wbc_entity_usage        |
| wikidatawiki_p | wbs_propertypairs       |
+----------------+-------------------------+
136 rows in set (0.15 sec)

Which user do you use to connect? What is the query you are doing? If you bypass that check and just connect to one of the views and try to select from any of the tables, does that work?

I can access the views - Sorry for the false positive.
However my script still don't find the DB - I'll need to look into it.

Excellent! Thanks for letting us know and thanks for testing the new labs servers, please let us know if you see weird things, it will help us to get users feedback :-)